<div class="plc yield-maintain">
    <div class="plc-menu">
        {{gridYieldMaintainTitle}}
    </div>
    <div class="yieldmaintain-move-module oee-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut , 'transform-select':bodyConfig.animateSelect }">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>设备编码：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(config.focusInput)}">
                                    <input  ng-focus="focusInput('resrce')"  ng-blur="blurInput('resrce')"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="config.resrce" ng-change="disableBtn()" ng-keyup="upModel('resrce')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="modalQueryDeviceCode()" ng-if="!config.resrce"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('deviceCode')" ng-if="config.resrce"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">物料编码：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(config.focusInputCode)}">
                                    <input  ng-focus="focusInput('item')"  ng-blur="blurInput('item')" ng-keyup="upModel('item')"
                                            type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-model="config.item" >
                                    <i class="fa fa-search ad-right-child focus" ng-click="modalQueryMaterialsCode()" ng-if="!config.item"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('item')" ng-if="config.item"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>生产日期：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="productDate"
                                       class="form-control"
                                       ng-model="config.productDate"
                                       ng-change="disableBtn()"
                                       ng-init="initDateTimePicker('#productDate', {},'Y-m-d',false,false);"/>

                            </div>
                            <label class="horizon-label label-2"><span class="text-red">*</span>班次：</label>
                            <div class="horizon-group horizon-col-3">

                                <ui-select  class="andon-ui-shift-select"
                                        ng-model="config.shift" ng-change="disableBtn()">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.shift.description || config.shift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!config.resrce" class="no-action-color">请先选择设备编码</span>
                                            <span ng-if="config.resrce" class="no-data-color">该设备编码暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.shifts | filter: $select.search) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>
                        <div class="public-horizon-special">
                            <div class="horizon-input-group">
                                <div class="horizon-btns">
                                    <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="config.queryBtn">查询</button>
                                </div>
                            </div>
                            <div>
                                <button class="btn btn-primary" ng-disabled="config.btnDisabledSave" ng-click="saveAllAcitons()" ng-if="config.editRW">保存</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content">
        <div class="row">
            <div class="col-sm-12 text-right ">
                <div class="textFont">数据总数:{{config.dataNum}}</div>
            </div>
        </div>
        <div class="row">

            <div class="col-sm-12">
                <div class="andon-grid">
                    <div id="plc-data-item-grid" ui-grid="gridYieldMaintain"
                         ui-grid-edit ui-grid-cellnav ui-grid-selection
                         ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns ui-grid-pinning
                         class="plc-data-item-grid ad-basic-grid myMiddleGrid" ></div>
                </div>
             </div>
        </div>
    </div>
</div>



